- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Enumerations | Functions
Background

Background object, used for setting a solid color, image or Edje group as a background to a window or any container object. More...

## Macros
#define | elm_obj_bg_file_set(file, group, ret) ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char *, group), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_bg_file_get(file, group) ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, group)
#define | elm_obj_bg_option_set(option) ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_OPTION_SET), EO_TYPECHECK(Elm_Bg_Option, option)
#define | elm_obj_bg_option_get(ret) ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_OPTION_GET), EO_TYPECHECK(Elm_Bg_Option *, ret)
#define | elm_obj_bg_color_set(r, g, b, a) ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)
#define | elm_obj_bg_color_get(r, g, b, a) ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)
#define | elm_obj_bg_load_size_set(w, h) ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_LOAD_SIZE_SET), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)

## Enumerations
enum | Elm_Bg_Option { ELM_BG_OPTION_CENTER, ELM_BG_OPTION_SCALE, ELM_BG_OPTION_STRETCH, ELM_BG_OPTION_TILE, ELM_BG_OPTION_LAST }
| Identifiers on how a background widget is to display its image – if it was set to use an image file. More...

## Functions
Evas_Object * | elm_bg_add (Evas_Object *parent)
| Add a new background to the parent. More...
Eina_Bool | elm_bg_file_set (Evas_Object *obj, const char *file, const char *group)
| Set the file (image or edje collection) to give life for the background. More...
void | elm_bg_file_get (const Evas_Object *obj, const char **file, const char **group)
| Get the file (image or edje collection) set on a given background widget. More...
void | elm_bg_option_set (Evas_Object *obj, Elm_Bg_Option option)
| Set the mode of display for a given background widget's image. More...
Elm_Bg_Option | elm_bg_option_get (const Evas_Object *obj)
| Get the mode of display for a given background widget's image. More...
void | elm_bg_color_set (Evas_Object *obj, int r, int g, int b)
| Set the color on a given background widget. More...
void | elm_bg_color_get (const Evas_Object *obj, int *r, int *g, int *b)
| Get the color set on a given background widget. More...
void | elm_bg_load_size_set (Evas_Object *obj, Evas_Coord w, Evas_Coord h)
| Set the size of the pixmap representation of the image set on a given background widget. More...

## Detailed Description

Background object, used for setting a solid color, image or Edje group as a background to a window or any container object.

The bg (background) widget is used for setting (solid) background decorations to a window (unless it has transparency enabled) or to any container object. It works just like an image, but has some properties useful to a background, like setting it to tiled, centered, scaled or stretched.

This widget inherits from the Layout one, so that all the functions acting on it also work for background objects.

Default content parts of the bg widget that you can use for are:

- `"overlay"` - overlay of the bg

Here is some sample code using it:

- elm_bg - Plain color background.
- elm_bg - Image background.
- elm_bg - Background properties.

## Macro Definition Documentation

#define elm_obj_bg_color_get | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)

Since
  1.8

Get the color set on a given background widget

Parameters

  [out] | r |
  [out] | g |
  [out] | b |
  [out] | a |

See Also
  elm_bg_color_get

Referenced by elm_bg_color_get().

#define elm_obj_bg_color_set | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)

Since
  1.8

Set the color on a given background widget

Parameters

  [in] | r |
  [in] | g |
  [in] | b |
  [in] | a |

See Also
  elm_bg_color_set

Referenced by elm_bg_color_set().

#define elm_obj_bg_file_get | ( |  | file,
|  |  | group
| ) |  | ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, group)

Since
  1.8

Get the file (image or edje collection) set on a given background

Parameters

  [out] | file |
  [out] | group |

See Also
  elm_bg_file_get

Referenced by elm_bg_file_get().

#define elm_obj_bg_file_set | ( |  | file,
|  |  | group,
|  |  | ret
| ) |  | ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char *, group), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Set the file (image or edje collection) to give life for the background

Parameters

  [in] | file |
  [in] | group |
  [out] | ret |

See Also
  elm_bg_file_set

Referenced by elm_bg_file_set().

#define elm_obj_bg_load_size_set | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_LOAD_SIZE_SET), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)

Since
  1.8

Set the size of the pixmap representation of the image set on a given background widget.

Parameters

  [in] | w |
  [in] | h |

See Also
  elm_bg_load_size_set

Referenced by elm_bg_load_size_set().

#define elm_obj_bg_option_get | ( |  | ret | ) | ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_OPTION_GET), EO_TYPECHECK(Elm_Bg_Option *, ret)

Since
  1.8

Get the mode of display for a given background widget's image

Parameters

  [out] | ret |

See Also
  elm_bg_option_get

Referenced by elm_bg_option_get().

#define elm_obj_bg_option_set | ( |  | option | ) | ELM_OBJ_BG_ID(ELM_OBJ_BG_SUB_ID_OPTION_SET), EO_TYPECHECK(Elm_Bg_Option, option)

Since
  1.8

Set the mode of display for a given background widget's image

Parameters

  [in] | option |

See Also
  elm_bg_option_set

Referenced by elm_bg_option_set().

## Enumeration Type Documentation

enum Elm_Bg_Option

Identifiers on how a background widget is to display its image – if it was set to use an image file.

See Also
  elm_bg_option_set()
  elm_bg_option_get()

Enumerator
ELM_BG_OPTION_CENTER | center the background image
ELM_BG_OPTION_SCALE | scale the background image, retaining aspect ratio
ELM_BG_OPTION_STRETCH | stretch the background image to fill the widget's area
ELM_BG_OPTION_TILE | tile background image at its original size
ELM_BG_OPTION_LAST | sentinel value, also used to indicate errors

## Function Documentation

Evas_Object* elm_bg_add | ( | Evas_Object * | parent | ) |

Add a new background to the parent.

Parameters

  parent | The parent object

Returns
  The new object or `NULL` if it cannot be created

Referenced by elm_quicklaunch_seed(), and elm_win_util_standard_add().

void elm_bg_color_get | ( | const Evas_Object * | obj,
|  | int * | r,
|  | int * | g,
|  | int * | b
| ) |  |

Get the color set on a given background widget.

Parameters

  obj | The background object handle
  r | Where to store the red color component's value
  g | Where to store the green color component's value
  b | Where to store the blue color component's value

Note
  Use `NULL` pointers on the file components you're not interested in: they'll be ignored by the function.

See Also
  elm_bg_color_get() for more details

References elm_obj_bg_color_get.

void elm_bg_color_set | ( | Evas_Object * | obj,
|  | int | r,
|  | int | g,
|  | int | b
| ) |  |

Set the color on a given background widget.

Parameters

  obj | The background object handle
  r | The red color component's value
  g | The green color component's value
  b | The blue color component's value

This sets the color used for the background rectangle, in RGB format. Each color component's range is from 0 to 255.

Note
  You probably only want to use this function if you haven't previously called elm_bg_file_set(), so that you just want a solid color background.
  You can reset the color by setting , , as -1, -1, -1.

See Also
  elm_bg_color_get()

References elm_obj_bg_color_set.

void elm_bg_file_get | ( | const Evas_Object * | obj,
|  | const char ** | file,
|  | const char ** | group
| ) |  |

Get the file (image or edje collection) set on a given background widget.

Parameters

  obj | The background object handle
  file | Where to store the requested file's path
  group | Where to store the optional key within file, if it's an Edje file

Note
  Use `NULL` pointers on the file components you're not interested in: they'll be ignored by the function.

References elm_obj_bg_file_get.

Eina_Bool elm_bg_file_set | ( | Evas_Object * | obj,
|  | const char * | file,
|  | const char * | group
| ) |  |

Set the file (image or edje collection) to give life for the background.

Parameters

  obj | The background object handle
  file | The file path
  group | Optional key (group in Edje) within the file

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

This sets the image file used in the background object. If the image comes from an Edje group, it will be stretched to completely fill the background object. If it comes from a traditional image file, it will by default be centered in this widget's are (thus retaining its aspect), what could lead to some parts being not visible. You may change the mode of exhibition for a real image file with elm_bg_option_set().

Note
  Once the image of `obj` is set, a previously set one will be deleted, even if `file` is `NULL`.
  This will only affect the contents of one of the background's swallow spots, namely `"elm.swallow.background"`. If you want to achieve the `Layout's` file setting behavior, you'll have to call that method on this object.

References elm_obj_bg_file_set.

void elm_bg_load_size_set | ( | Evas_Object * | obj,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set the size of the pixmap representation of the image set on a given background widget.

Parameters

  obj | The background object handle
  w | The new width of the image pixmap representation.
  h | The new height of the image pixmap representation.

Warning
  This function just makes sense if an image file was set on `obj`, with elm_bg_file_set().

This function sets a new size for pixmap representation of the given bg image. It allows for the image to be loaded already in the specified size, reducing the memory usage and load time (for example, when loading a big image file with its load size set to a smaller size)

Note
  This is just a hint for the underlying system. The real size of the pixmap may differ depending on the type of image being loaded, being bigger than requested.

References elm_obj_bg_load_size_set.

Elm_Bg_Option elm_bg_option_get | ( | const Evas_Object * | obj | ) |

Get the mode of display for a given background widget's image.

Parameters

  obj | The background object handle

Returns
  The image displaying mode in use for obj or ELM_BG_OPTION_LAST, on errors.

See Also
  elm_bg_option_set() for more details

References ELM_BG_OPTION_LAST, and elm_obj_bg_option_get.

void elm_bg_option_set | ( | Evas_Object * | obj,
|  | Elm_Bg_Option | option
| ) |  |

Set the mode of display for a given background widget's image.

Parameters

  obj | The background object handle
  option | The desired background option (see Elm_Bg_Option)

This sets how the background widget will display its image. This will only work if the elm_bg_file_set() was previously called with an image file on obj. The image can be display tiled, scaled, centered or stretched.

See Also
  elm_bg_option_get()

References elm_obj_bg_option_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12